<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://cdn.tailwindcss.com"></script>
    <title>Gamepad Tester</title>
</head>

<body class="bg-slate-800 text-slate-50 text-center mt-16 flex justify-center">
    <div class="flex flex-col justify-between container">
        <main class="app mx-auto border-purple-800 border-2 rounded-lg p-4 bg-slate-800 max-w-xs">
            <h1 class="text-3xl p-4 text-blue-200">Gamepad Tester</h1>
            <h2>Press any key to start</h2>
            <p>Your gamepad is:
            <h3 id="gamepadNameHeader"></h3>
            </p>
            <div><span class="aButton">A</span></div>
            <button
                class="p-4 m-2 text-1xl text-center bg-pink-900 blur-0 rounded hover:bg-rose-700 hover:rounded-none transition-all duration-400">Vibrate</button>
        </main>


        <!-- D-Pad -->
        <section
            class="text-slate-50 text-center mt-16 flex justify-center mx-auto border-purple-800 border-2 rounded-lg p-2 bg-slate-800 max-w-xs">
            <h2 class="text-3xl p-4 text-blue-200  mb-8">D-Pads</h2>
            <div class="smallerBox">
                <ul class="flex flex-col justify-between">
                    <li class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 upButton">
                        Up
                    </li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 rightButton">
                        Right</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 downButton">
                        Down</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 leftButton">
                        Left</li>
                </ul>
            </div>
        </section>


        <!-- Facebuttons -->
        <section
            class="text-slate-50 text-center mt-16 flex justify-center mx-auto border-purple-300 border-2 rounded-lg p-2 bg-slate-800 max-w-xs">
            <h2 class="text-3xl p-4 text-blue-200  mb-8">Facebuttons</h2>
            <div class="smallerBox">
                <ul class="flex flex-col justify-between">
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 yButton pr-5 pl-5">
                        Y
                    </li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 bButton pr-5 pl-5">
                        B</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 aButton pr-5 pl-5">
                        A</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 xButton pr-5 pl-5">
                        X</li>
                </ul>
            </div>
        </section>

        <!-- Shoulder Buttons -->
        <section
            class="text-slate-50 text-center mt-16 flex justify-center mx-auto border-purple-800 border-2 rounded-lg p-2 bg-slate-800 max-w-lg">
            <h2 class="text-3xl p-4 text-blue-200  mb-8">Shoulder Buttons</h2>
            <div class="smallerBox">
                <ul class="flex flex-col justify-between">
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 lbButton pr-5 pl-5">
                        LB
                    </li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 ltButton pr-5 pl-5">
                        LT</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 rbButton pr-5 pl-5">
                        RB</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 rtButton pr-5 pl-5">
                        RT</li>
                </ul>
            </div>
        </section>

        <!-- Analog Sticks -->
        <section
            class="text-slate-50 text-center mt-16 flex justify-center mx-auto border-purple-800 border-2 rounded-lg p-2 bg-slate-800 max-w-lg">
            <h2 class="text-3xl p-4 text-blue-200  mb-8">Analog Sticks</h2>
            <div class="smallerBox">
                <ul class="flex flex-col justify-between">
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 laButton pr-5 pl-5">
                        Left Analog
                    </li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 raButton pr-5 pl-5">
                        Right Analog</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 lbButton pr-5 pl-5">
                        LA Button</li>
                    <li
                        class="flex p-2 text-center justify-center bg-pink-900 text-slate-300 rounded-md m-2 rbButton pr-5 pl-5">
                        RA Button</li>
                </ul>
            </div>
        </section>

        <script src="./src/script.js"></script>
</body>

</html>